Update a tenant
PUT
/portfolio/tenants/{id}Updates an existing tenant's attributes (name, database, status). Only the fields provided in the request body will be changed.
Path parameters
Request body
application/json, optional · PortfolioUpdateTenantRequest
{
"name": "string",
"database": "string",
"status": "active"
}Responses
200
{}422
Validation error
Examples
curl -X PUT https://your-org-domain/kong/core/api/v2/portfolio/tenants/{id}\
-H "Authorization: Bearer $HELM_API_KEY"\
-H "Content-Type: application/json"\
-d '{
"name": "string",
"database": "string",
"status": "active"
}'